### Function

# Gtk.TickCallback

#### Declaration

    gboolean
    TickCallback (
      GtkWidget* widget,
      GdkFrameClock* frame_clock,
      gpointer user_data
    )

#### Description [src]

Callback type for adding a function to update animations. See `gtk_widget_add_tick_callback()`.

#### Parameters

`widget` | `GtkWidget`
| the widget
| Ownership is not transferred to the callee
`frame_clock` | `GdkFrameClock*`
| the frame clock for the widget (same as calling `gtk_widget_get_frame_clock()`)
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| user data passed to `gtk_widget_add_tick_callback()`.

#### Return value

Returns: `gboolean`
`G_SOURCE_CONTINUE` if the tick callback should continue to be called, `G_SOURCE_REMOVE` if the tick callback should be removed.